import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.event.*;

public class SelecteurObjetAuSol extends JDialog implements KeyListener{ //implements ActionListener,ListSelectionListener{
	
	private int compteurRaccour=1;
	
	private Monde monde;
	
	private JScrollPane scroll;
	
	private JListBackdrop auSolJList=new JListBackdrop();
	
	private Vector auSolVct=new Vector();
	
	private String objetsSelectedStr=new String();
	
	
	private Entite objetChoisi=new Entite();
	private Entite objet=new Entite();
	private Entite objetTrouve=new Entite();
	
	private ArrayList vecteurActuel=new ArrayList();
	private ArrayList vecteurAvecTout=new ArrayList();
	
	private JLabel quitInfo=new JLabel("Raccourci non-assigne ou ESC : quitter");
	
	
	//JButton okBtn=new JButton("OK");
	
	
	Font police;
	Font police2;
	
	
	//TTTTTTTTTTTTTTT
	Classeur classeur=new Classeur();
	//TTTTTTTTTTTTTTT
	
	public SelecteurObjetAuSol(Monde world,int ptx,int pty){
		
		
		police=world.getPolice();
		police2=world.getPolice2();
		
		monde=world;
		
		
		//vecteurAvecTout=monde.grille[monde.perso.getCooX()][monde.perso.getCooY()];
		
		vecteurAvecTout=monde.grille[ptx][pty];
	
		vecteurActuel=nettoyage(vecteurAvecTout);
	
	
		quitInfo.setFont(police);
		
		//auSolJList.setBackground(new Color(200,200,200)); 
	
	
	
	
		if(monde.jeuPan.lang){quitInfo.setText("Another key or ESC : exit");}
	
	
	
	
		Container c=getContentPane();
		c.setLayout(null);
		
		
		scroll = new JScrollPane(auSolJList);
		scroll.setBounds(5,5,380,620);
		c.add(scroll);
		//auSolJList.addListSelectionListener(this);
		
		quitInfo.setBounds(10,630,300,20);
		c.add(quitInfo);
		
		
					
		auSolJList.setCellRenderer(new CustomCellRenderer()); 
		auSolJList.addKeyListener(this);
		
		
		
		//TTTTTTTTTTTTTTT
		classeur.triA("Arme",1,vecteurActuel);
		classeur.triA("Armure",2,vecteurActuel);
		classeur.triA("Comestible",3,vecteurActuel);
		//classeur.tri("Creature",3,vecteurActuel);
		classeur.triA("Ecrit",4,vecteurActuel);
		classeur.triA("EcritMagique",5,vecteurActuel);
		classeur.triA("Outil",6,vecteurActuel);
		classeur.triA("Divers",7,vecteurActuel);
		classeur.testTri();
		vecteurActuel=classeur.retourVectTrieA();
		//TTTTTTTTTTTTTTT
		
		
		
		
		//lancer une analyse du sol
		
		analyseDuSol();
	
		
		
		
		setLocation(0,0);
		setSize(400,690);
		show();
		
	}
	
	
	
	
	public ArrayList nettoyage(ArrayList vectSale){
		ArrayList vctToutPropre=new ArrayList();
		
		if(!vectSale.isEmpty()){
			
			
			for(int i=0;i<vectSale.size();i++){
					
		 					
	 			try{
	 					
	 					
	 				objetTrouve = (Entite) vectSale.get(i);
 					
 					
 					
 					//String typedelobjetchoisi=objetTrouve.getTypeObjet();
					String strClass = (objetTrouve.getClass().getName());
 				
 					
 					if(strClass.compareTo("VraiVide")!=0 &&strClass.compareTo("Ombrage")!=0 && strClass.compareTo("Surface")!=0 && strClass.compareTo("Vide")!=0 && strClass.compareTo("Personnage")!=0){
 						
 						vctToutPropre.add(objetTrouve);
 					}
 					
 				}
 				catch(NoSuchElementException exc){};
 			}
 		}
	
	
	
		return vctToutPropre;
	}
	
	
	
	
	public void analyseDuSol(){
		//TTTTTTTTTTTTTTTT
		String sepType=new String("");
		String sepType2=new String("");
		Short sepNb=0;
		//TTTTTTTTTTTTTTTT
		
		
		
		// pour chaque Entite trouvée de type Objet ou Creature morte
		
		
		if(!vecteurActuel.isEmpty()){
			
			
			for(int i=0;i<vecteurActuel.size();i++){
					
		 					
	 			try{
	 					
	 					
	 				objet = (Entite) vecteurActuel.get(i);
 					
				
				
					JPanel jp = new JPanel();
					
					
					///TTTTTTTTTTTTTT
					//System.out.println(classeur.testeurObjet(objet));
					System.out.println(objet.getClass().getName());
					System.out.println(objet.getTypeObjet());
					
					sepType=objet.getClass().getName();
					sepType2=objet.getTypeObjet();
					
					if(sepType.compareTo("Arme")==0 &&
					 sepNb==0){
					 	jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						if(monde.jeuPan.lang){jp.add(new JLabel("WEAPONS"));}
						else{jp.add(new JLabel("ARMES"));}
						//jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						jp.setLayout(new FlowLayout(FlowLayout.LEFT,5,2));
						auSolVct.addElement(jp);
						sepNb=1;
					}
					if(sepType.compareTo("Armure")==0 &&
					 (sepNb==0||sepNb==1)){
					 	jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						if(monde.jeuPan.lang){jp.add(new JLabel("ARMORS"));}
						else{jp.add(new JLabel("ARMURES"));}	
						//jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						jp.setLayout(new FlowLayout(FlowLayout.LEFT,5,2));
						auSolVct.addElement(jp);
						sepNb=2;
					}
					if((sepType2.compareTo("Comestible")==0 )&&//||sepType.compareTo("Creature")==0) &&
					 (sepNb==0||sepNb==1||sepNb==2)){
						jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						jp.add(new JLabel("COMESTIBLES"));
						//jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));	
						jp.setLayout(new FlowLayout(FlowLayout.LEFT,5,2));
						auSolVct.addElement(jp);
						sepNb=3;
					}
					if(sepType.compareTo("Ecrit")==0 &&
					 (sepNb==0||sepNb==1||sepNb==2||sepNb==3)){
					 	jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
					 	if(monde.jeuPan.lang){jp.add(new JLabel("WRITS"));}
						else{jp.add(new JLabel("ECRITS"));}
						//jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						jp.setLayout(new FlowLayout(FlowLayout.LEFT,5,2));
						auSolVct.addElement(jp);
						sepNb=4;
					}
					if(sepType.compareTo("EcritMagique")==0 &&
					 (sepNb==0||sepNb==1||sepNb==2||sepNb==3||sepNb==4)){
					 	jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						if(monde.jeuPan.lang){jp.add(new JLabel("MAGICAL WRITS"));}
						else{jp.add(new JLabel("ECRITS MAGIQUES"));}		
						//jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						jp.setLayout(new FlowLayout(FlowLayout.LEFT,5,2));
						auSolVct.addElement(jp);
						sepNb=5;
					}
					if(sepType.compareTo("Outil")==0 &&
					 (sepNb==0||sepNb==1||sepNb==2||sepNb==3||sepNb==4||sepNb==5)){
						jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						if(monde.jeuPan.lang){jp.add(new JLabel("TOOLS"));}
						else{jp.add(new JLabel("OUTILS"));}
						//jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						jp.setLayout(new FlowLayout(FlowLayout.LEFT,5,2));
						auSolVct.addElement(jp);
						sepNb=6;
					}
					
					if(sepType.compareTo("Outil")!=0 &&
						sepType.compareTo("EcritMagique")!=0&&
						sepType.compareTo("Ecrit")!=0 &&
						sepType2.compareTo("Comestible")!=0&&
						sepType.compareTo("Creature")!=0&&
						sepType.compareTo("Armure")!=0&&
						sepType.compareTo("Arme")!=0&&
					 (sepNb==0||sepNb==1||sepNb==2||sepNb==3||sepNb==4||sepNb==5||sepNb==6)){
						
						jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						if(monde.jeuPan.lang){jp.add(new JLabel("OTHERS"));}
						else{jp.add(new JLabel("DIVERS"));}	
						//jp.add(new JLabel(new ImageIcon("./images/separateurLIST.jpg")));
						jp.setLayout(new FlowLayout(FlowLayout.LEFT,5,2));
						auSolVct.addElement(jp);
						sepNb=7;
					}
					
					jp = new JPanel();
					//TTTTTTTTTTTTTTT
					
					
					JLabel raccouLbl=new JLabel(assignShortcut());
					raccouLbl.setFont(police2);
 					jp.add(raccouLbl);
 					jp.add(new JLabel(new ImageIcon(objet.getTileStr())));
 					
 					
 					if(objet.getAlume()){
    					//jp.add(new JLabel("@"));
    					jp.add(new JLabel(new ImageIcon("./images/special/allume.gif")));
    					
    					
    				}
    				
    				if(objet.getEquiped()){
    					//jp.add(new JLabel("#"));
    					jp.add(new JLabel(new ImageIcon("./images/special/equipe.gif")));
    					
    				}
    				
    				
    				
    				
    				////////
    				if(objet.getIdentified()&&objet.getTrueName().compareTo("")!=0){
						if(monde.jeuPan.lang){
							//remplir("Vrai Nom: "+cible.getTrueName());
							JLabel jlab=new JLabel(objet.getTrueNameE());
	    					jlab.setFont(police);
	    					jp.add(jlab);
						}
						else{
							//remplir("True Name: "+cible.getTrueNameE());
							JLabel jlab=new JLabel(objet.getTrueName());
	    					jlab.setFont(police);
	    					jp.add(jlab);
						}
						
					}
					else{
						///
	    				if(monde.jeuPan.lang){
	    					JLabel jlab=new JLabel(objet.getNomE());
	    					jlab.setFont(police);
	    					jp.add(jlab);
	    					
	    				}
	    				else{
	    					JLabel jlab=new JLabel(objet.getNom());
	    					jlab.setFont(police);
	    					jp.add(jlab);
	    					
	    				}
    				///
						
					}
    				
    				///////
    				
    				
    				
    				
    				
    				
    				/*
    				if(monde.jeuPan.lang){
    					JLabel jlab=new JLabel(objet.getNomE());
    					jlab.setFont(police);
    					jp.add(jlab);
    					
    					
    					//jp.add(new JLabel(objet.getNomE()));
    				}
    				else{
    					JLabel jlab=new JLabel(objet.getNom());
    					jlab.setFont(police);
    					jp.add(jlab);
    					
    					
    					//jp.add(new JLabel(objet.getNom()));
    				}*/
    				
    				if(objet.getModele().compareTo("oilflask")==0 || objet.getModele().compareTo("chandelier")==0 || objet.getModele().compareTo("torche")==0 || objet.getModele().compareTo("lanterne")==0){
    					JLabel jlab=new JLabel("("+objet.getHuile()+")");
    					jlab.setFont(police);
    					jp.add(jlab);
    				
    				
    					//jp.add(new JLabel("("+objet.getHuile()+")"));
    				}
    				
    				
    				JLabel jlab2=new JLabel("Wt:"+objet.getPoids());
    				jlab2.setFont(police);
    				jp.add(jlab2);
    				
    				jlab2=new JLabel("Res:"+objet.getResistanceMat());
    				jlab2.setFont(police);
    				jp.add(jlab2);
    				
    				jlab2=new JLabel("Str:"+objet.getStructureMat());
    				jlab2.setFont(police);
    				jp.add(jlab2);
    				
    				//jp.add(new JLabel("Wt:"+objet.getPoids()));
    				//jp.add(new JLabel("Res:"+objet.getResistanceMat()));
    				//jp.add(new JLabel("Str:"+objet.getStructureMat()));
    				
    				
    				if(objet.getCasse()){
    					JLabel jlab=new JLabel("brk");
    					jlab.setFont(police);
    					jp.add(jlab);
    					
    					//jp.add(new JLabel("brk"));
    				}
    				
    				
					jp.setLayout(new FlowLayout(FlowLayout.LEFT,5,2));
					auSolVct.addElement(jp);
					
					//auSolVct.addElement(objet.getNomE());
			
				
 					
 				}
 				catch(NoSuchElementException exc){};
 			}
 		}
 		
 		//auSolVct=assignationRaccourcis(auSolVct);////////////////
 		auSolJList.setListData(auSolVct);
 		
 		
	}
	
	
	////////////////////////////////////////////
	
	/*
	class CustomCellRenderer implements ListCellRenderer{
	    public Component getListCellRendererComponent(JList list, Object value, int index,boolean isSelected,boolean cellHasFocus)
	    {
	      Component component = (Component)value;
	      
	      component.setBackground(new Color(200,200,200)); 
	      //component.setBackground(isSelected ? Color.white : Color.white);
	      component.setForeground(isSelected ? Color.white : Color.white);
	      return component;
	    }
    }*/
	
	
	
		/////////////////////////////////////////////
	public void keyPressed(KeyEvent e){
		char lettre=e.getKeyChar();
	
		int indexChoisi=666;
		// on cherche dans equipementNoms l'indexChoisi correspondant au raccourcis reçu
		//  
		if(lettre=='a'){indexChoisi=0;}
		if(lettre=='b'){indexChoisi=1;}
		if(lettre=='c'){indexChoisi=2;}
		if(lettre=='d'){indexChoisi=3;}
		if(lettre=='e'){indexChoisi=4;}
		if(lettre=='f'){indexChoisi=5;}
		if(lettre=='g'){indexChoisi=6;}
		if(lettre=='h'){indexChoisi=7;}
		if(lettre=='i'){indexChoisi=8;}
		if(lettre=='j'){indexChoisi=9;}
		if(lettre=='k'){indexChoisi=10;}
		if(lettre=='l'){indexChoisi=11;}
		if(lettre=='m'){indexChoisi=12;}
		if(lettre=='n'){indexChoisi=13;}
		if(lettre=='o'){indexChoisi=14;}
		if(lettre=='p'){indexChoisi=15;}
		if(lettre=='q'){indexChoisi=16;}
		if(lettre=='r'){indexChoisi=17;}
		if(lettre=='s'){indexChoisi=18;}
		if(lettre=='t'){indexChoisi=19;}
		if(lettre=='u'){indexChoisi=20;}
		if(lettre=='v'){indexChoisi=21;}
		if(lettre=='w'){indexChoisi=22;}
		if(lettre=='x'){indexChoisi=23;}
		if(lettre=='y'){indexChoisi=24;}
		if(lettre=='z'){indexChoisi=25;}
		
		
		if(lettre=='A'){indexChoisi=26;}
		if(lettre=='B'){indexChoisi=27;}
		if(lettre=='C'){indexChoisi=28;}
		if(lettre=='D'){indexChoisi=29;}
		if(lettre=='E'){indexChoisi=30;}
		if(lettre=='F'){indexChoisi=31;}
		if(lettre=='G'){indexChoisi=32;}
		if(lettre=='H'){indexChoisi=33;}
		if(lettre=='I'){indexChoisi=34;}
		if(lettre=='J'){indexChoisi=35;}
		if(lettre=='K'){indexChoisi=36;}
		if(lettre=='L'){indexChoisi=37;}
		if(lettre=='M'){indexChoisi=38;}
		if(lettre=='N'){indexChoisi=39;}
		if(lettre=='O'){indexChoisi=40;}
		if(lettre=='P'){indexChoisi=41;}
		if(lettre=='Q'){indexChoisi=42;}
		if(lettre=='R'){indexChoisi=43;}
		if(lettre=='S'){indexChoisi=44;}
		if(lettre=='T'){indexChoisi=45;}
		if(lettre=='U'){indexChoisi=46;}
		if(lettre=='V'){indexChoisi=47;}
		if(lettre=='W'){indexChoisi=48;}
		if(lettre=='X'){indexChoisi=49;}
		if(lettre=='Y'){indexChoisi=50;}
		if(lettre=='Z'){indexChoisi=51;}
		
		
	
		System.out.println("indexChoisi "+indexChoisi);
		 
		
		try{
			
			
			if(indexChoisi!=666){
				objetChoisi=(Entite)vecteurActuel.get(indexChoisi);
			
				System.out.println("Selection: "+objetChoisi.getNom());
						
				monde.perso.retourDeSelectionAuSol(objetChoisi);
				
				dispose();
			
			}
			
			
			}
		catch(IndexOutOfBoundsException ai){
			System.out.println("Pas d objet a cet index");
			dispose();
		}
		
		
		if (e.getKeyChar() == KeyEvent.VK_ESCAPE){
			dispose();
		}
	
		
		
		
	}
	
	public void keyReleased(KeyEvent e){}
	
	public void keyTyped(KeyEvent e){}
	
	
	
	
	
	
	public String assignShortcut(){
		
		String rac=new String();
		if(compteurRaccour==1){rac="a- ";}
		if(compteurRaccour==2){rac="b- ";}
		if(compteurRaccour==3){rac="c- ";}
		if(compteurRaccour==4){rac="d- ";}
		if(compteurRaccour==5){rac="e- ";}
		if(compteurRaccour==6){rac="f- ";}
		if(compteurRaccour==7){rac="g- ";}
		if(compteurRaccour==8){rac="h- ";}
		if(compteurRaccour==9){rac="i- ";}
		if(compteurRaccour==10){rac="j- ";}
		if(compteurRaccour==11){rac="k- ";}
		if(compteurRaccour==12){rac="l- ";}
		if(compteurRaccour==13){rac="m- ";}
		if(compteurRaccour==14){rac="n- ";}
		if(compteurRaccour==15){rac="o- ";}
		if(compteurRaccour==16){rac="p- ";}
		if(compteurRaccour==17){rac="q- ";}
		if(compteurRaccour==18){rac="r- ";}
		if(compteurRaccour==19){rac="s- ";}
		if(compteurRaccour==20){rac="t- ";}
		if(compteurRaccour==21){rac="u- ";}
		if(compteurRaccour==22){rac="v- ";}
		if(compteurRaccour==23){rac="w- ";}
		if(compteurRaccour==24){rac="x- ";}
		if(compteurRaccour==25){rac="y- ";}
		if(compteurRaccour==26){rac="z- ";}
		
		if(compteurRaccour==27){rac="A- ";}
		if(compteurRaccour==28){rac="B- ";}
		if(compteurRaccour==29){rac="C- ";}
		if(compteurRaccour==30){rac="D- ";}
		if(compteurRaccour==31){rac="E- ";}
		if(compteurRaccour==32){rac="F- ";}
		if(compteurRaccour==33){rac="G- ";}
		if(compteurRaccour==34){rac="H- ";}
		if(compteurRaccour==35){rac="I- ";}
		if(compteurRaccour==36){rac="J- ";}
		if(compteurRaccour==37){rac="K- ";}
		if(compteurRaccour==38){rac="L- ";}
		if(compteurRaccour==39){rac="M- ";}
		if(compteurRaccour==40){rac="N- ";}
		if(compteurRaccour==41){rac="O- ";}
		if(compteurRaccour==42){rac="P- ";}
		if(compteurRaccour==43){rac="Q- ";}
		if(compteurRaccour==44){rac="R- ";}
		if(compteurRaccour==45){rac="S- ";}
		if(compteurRaccour==46){rac="T- ";}
		if(compteurRaccour==47){rac="U- ";}
		if(compteurRaccour==48){rac="V- ";}
		if(compteurRaccour==49){rac="W- ";}
		if(compteurRaccour==50){rac="X- ";}
		if(compteurRaccour==51){rac="Y- ";}
		if(compteurRaccour==52){rac="Z- ";}
	
		compteurRaccour++;
		return rac;
			
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	/*
	public Vector assignationRaccourcis(Vector solNomsSansRaccour){
		
		
		Vector equipAvecRaccour=new Vector();
		
		if(!solNomsSansRaccour.isEmpty()){
				
			for(Enumeration e = solNomsSansRaccour.elements();e.hasMoreElements();){
                
 				try{	
 						
 					String matosTrouve=(String) e.nextElement();
 					
					String rac=new String();
					
					if(compteurRaccour==1){rac="a- ";}
					if(compteurRaccour==2){rac="b- ";}
					if(compteurRaccour==3){rac="c- ";}
					if(compteurRaccour==4){rac="d- ";}
					if(compteurRaccour==5){rac="e- ";}
					if(compteurRaccour==6){rac="f- ";}
					if(compteurRaccour==7){rac="g- ";}
					if(compteurRaccour==8){rac="h- ";}
					if(compteurRaccour==9){rac="i- ";}
					if(compteurRaccour==10){rac="j- ";}
					if(compteurRaccour==11){rac="k- ";}
					if(compteurRaccour==12){rac="l- ";}
					if(compteurRaccour==13){rac="m- ";}
					if(compteurRaccour==14){rac="n- ";}
					if(compteurRaccour==15){rac="o- ";}
					if(compteurRaccour==16){rac="p- ";}
					if(compteurRaccour==17){rac="q- ";}
					if(compteurRaccour==18){rac="r- ";}
					if(compteurRaccour==19){rac="s- ";}
					if(compteurRaccour==20){rac="t- ";}
					if(compteurRaccour==21){rac="u- ";}
					if(compteurRaccour==22){rac="v- ";}
					if(compteurRaccour==23){rac="w- ";}
					if(compteurRaccour==24){rac="x- ";}
					if(compteurRaccour==25){rac="y- ";}
					if(compteurRaccour==26){rac="z- ";}
					
					if(compteurRaccour==27){rac="A- ";}
					if(compteurRaccour==28){rac="B- ";}
					if(compteurRaccour==29){rac="C- ";}
					if(compteurRaccour==30){rac="D- ";}
					if(compteurRaccour==31){rac="E- ";}
					if(compteurRaccour==32){rac="F- ";}
					if(compteurRaccour==33){rac="G- ";}
					if(compteurRaccour==34){rac="H- ";}
					if(compteurRaccour==35){rac="I- ";}
					if(compteurRaccour==36){rac="J- ";}
					if(compteurRaccour==37){rac="K- ";}
					if(compteurRaccour==38){rac="L- ";}
					if(compteurRaccour==39){rac="M- ";}
					if(compteurRaccour==40){rac="N- ";}
					if(compteurRaccour==41){rac="O- ";}
					if(compteurRaccour==42){rac="P- ";}
					if(compteurRaccour==43){rac="Q- ";}
					if(compteurRaccour==44){rac="R- ";}
					if(compteurRaccour==45){rac="S- ";}
					if(compteurRaccour==46){rac="T- ";}
					if(compteurRaccour==47){rac="U- ";}
					if(compteurRaccour==48){rac="V- ";}
					if(compteurRaccour==49){rac="W- ";}
					if(compteurRaccour==50){rac="X- ";}
					if(compteurRaccour==51){rac="Y- ";}
					if(compteurRaccour==52){rac="Z- ";}
					
					//etc...
					
					
					matosTrouve=rac+matosTrouve;
					
					
 					equipAvecRaccour.add(matosTrouve);
 					compteurRaccour++;
					
					
 				}
 				catch(NoSuchElementException exc){};
 			}
 		}
		
		return equipAvecRaccour;
	}
	*/
	
	
	/*
	public void valueChanged(ListSelectionEvent e) {
    
    
    	Object source=e.getSource();
    
	    if (e.getValueIsAdjusting() == false) {
	
			if(source==auSolJList){
				//objetsSelectedStr=(auSolVct.elementAt(auSolJList.getSelectedIndex())).toString();
				//System.out.println("Selection: "+objetsSelectedStr);
				
				objetChoisi=(Entite)vecteurActuel.elementAt(auSolJList.getSelectedIndex());
				System.out.println("Selection: "+objetChoisi.getNom());
				
			}
				
	     }
	}
	*/
	/*
	public void actionPerformed(ActionEvent e){
		
		Object source=e.getSource();
		
		if(source==okBtn){
			
			String typedelobjetchoisi=objetChoisi.getTypeObjet();
			if(typedelobjetchoisi.compareTo("Comestible")==0 ||typedelobjetchoisi.compareTo("Objet")==0 || (typedelobjetchoisi.compareTo("Creature")==0)&&objetChoisi.getMort()==true){
				
				
				//on le donne au perso
				monde.perso.retourDeSelectionAuSol(objetChoisi);
				
				dispose();
			}
			else{
				monde.jeuPan.messagesPanel.remplissageMessages("Ne ramassez pas n'importe quoi...");
			}
			
			
		}
		
	}
	*/
		
}